module TalltyImportExport
  module Exportable
    extend ActiveSupport::Concern

    included do |base|
      # base.include(Common)
      base.const_set('Export', Class.new(TalltyImportExport::Export))
    end

    module ClassMethods
      def export_instance
        const_get('Export').new(self)
      end

      def export_xlsx *args
        export_instance.export_xlsx(*args)
      end
    end
  end
end
